Register or Log In to remove the ads!

  1. #1

    Join Date
    31 Oct 2005
    Posts
    2
    Thanks
    0
    Thanked 0 Times in 0 Posts
    Local Date
    December 6, 2016
    Local Time
    19:49

    Error 1706? anyone else get this?

    when trying to install, i get "Error 1706.No valid source could be found for product Sid Meier's Civilization 4. The Windows Installer cannot continue."
    the first time i installed, i got this, but i could still play the game, subject to much crashing, bugs, and general slowness, so i thought i'd try and re-install. Still got it. Plus, the direct x.. is it supposed to recommend that to you, or does it happen at the end of the installation process, cause i haven't seen anything about it yet.

    last question, is there any kind of a patch out yet? it seems like i've seen some people mention one, but i haven't seen a direct mention yet.

    thanks in advance for any help

  2. #2
    snoopy369's Avatar
    Join Date
    16 Apr 2004
    Location
    Of the Peanuts Gallery
    Posts
    32,191
    Thanks
    136
    Thanked 79 Times in 70 Posts
    Local Date
    December 6, 2016
    Local Time
    14:49
    That sounds like a CD-error, to me.
    <Reverend> IRC is just multiplayer notepad.
    I like your SNOOPY POSTER! - While you Wait quote.

  3. #3

    Join Date
    29 Nov 2005
    Posts
    1
    Thanks
    0
    Thanked 0 Times in 0 Posts
    Local Date
    December 6, 2016
    Local Time
    19:49
    I get this error too. only happens when i am patching to v1.09. tried reinstalling and patching. game crashes the instant the loading is done and i click play.

  4. #4
    Jetmech's Avatar
    Join Date
    10 Mar 2005
    Posts
    30
    Thanks
    0
    Thanked 0 Times in 0 Posts
    Local Date
    December 6, 2016
    Local Time
    14:49
    Me too....It may be a cd error as I just installed a different cd player; but I've been screwing around with sooooo many things to try to get this POS to work that I honestly dont know anymore

  5. #5

    Join Date
    16 Jun 2001
    Posts
    85
    Thanks
    0
    Thanked 0 Times in 0 Posts
    Local Date
    December 6, 2016
    Local Time
    19:49
    I get this error as well. Patching can continue afterwards. .but its possible that its not a complete patching, I get a version mismatch error trying to play MP (although it lets me join anyway..)
    Every man should have a college education in order to show him how little the thing is really worth.

  6. #6
    Raion's Avatar
    Join Date
    26 Jan 2001
    Location
    USA
    Posts
    815
    Thanks
    0
    Thanked 0 Times in 0 Posts
    Local Date
    December 6, 2016
    Local Time
    19:49
    Are you starting your computer (reboot) after installing the game initally?

    After rebooting the computer then installing the patch and trying that again perhaps?

    Have you defrag your harddrive, or any maintanence to your computer - - like checking the harddisk or any thing like that?

    Otherwise I do not know, unless the CD is bad and you have to get another copy perhaps!

  7. #7

    Join Date
    08 Jan 2006
    Posts
    1
    Thanks
    0
    Thanked 0 Times in 0 Posts
    Local Date
    December 6, 2016
    Local Time
    19:49
    I got this error too. Unfortunately, i have an ati mobility radeon 9000 installed in my laptop and i can't even play because of this fault. Someone please help me! I have bought the original game. Can someone find the latest drives because i cant find them anywhere.

  8. #8

    Join Date
    13 Jan 2006
    Posts
    1
    Thanks
    0
    Thanked 0 Times in 0 Posts
    Local Date
    December 6, 2016
    Local Time
    19:49

    Not CD related

    Yeah this sucks. I also get an Error 1706 when installing the patch. And no I do not think it's CD related because I'm installing from my harddrive. I downloaded the patch and still get the same error. What's the solution?

  9. #9
    Urban Ranger's Avatar
    Join Date
    24 May 1999
    Location
    The City State of Noosphere, CPA special envoy
    Posts
    14,618
    Thanks
    0
    Thanked 3 Times in 2 Posts
    Local Date
    December 7, 2016
    Local Time
    03:49
    If you get this error when applying a patch, just ignore it. The patch should continue until the end.
    (\__/) 07/07/1937 - Never forget
    (='.'=) "Claims demand evidence; extraordinary claims demand extraordinary evidence." -- Carl Sagan
    (")_(") "Starting the fire from within."

  10. #10

    Join Date
    18 Jan 2006
    Posts
    1
    Thanks
    0
    Thanked 0 Times in 0 Posts
    Local Date
    December 6, 2016
    Local Time
    11:49
    i got that error while installing patch v1.52, only now i can no longer play the game, the graphics break up into lines, almost like some put the picture through a cheese grater, as soon as i load or start a new game. ne ideas if this is related to the error?

  11. #11
    Urban Ranger's Avatar
    Join Date
    24 May 1999
    Location
    The City State of Noosphere, CPA special envoy
    Posts
    14,618
    Thanks
    0
    Thanked 3 Times in 2 Posts
    Local Date
    December 7, 2016
    Local Time
    03:49
    The error is probably related to certain entries in the registry.

    Petek's solution may help.
    (\__/) 07/07/1937 - Never forget
    (='.'=) "Claims demand evidence; extraordinary claims demand extraordinary evidence." -- Carl Sagan
    (")_(") "Starting the fire from within."

  12. #12

    Join Date
    01 Aug 2001
    Location
    England
    Posts
    122
    Thanks
    0
    Thanked 0 Times in 0 Posts
    Local Date
    December 6, 2016
    Local Time
    19:49
    I had this error after installing the 1.52 patch. I've installed the game and the 1.52 patch without problems before, but after formatting my computer and installing Civ IV again, I got this error with the patch. Does it actually affect anything within the game?

  13. #13
    Urban Ranger's Avatar
    Join Date
    24 May 1999
    Location
    The City State of Noosphere, CPA special envoy
    Posts
    14,618
    Thanks
    0
    Thanked 3 Times in 2 Posts
    Local Date
    December 7, 2016
    Local Time
    03:49
    Not in my experience.
    (\__/) 07/07/1937 - Never forget
    (='.'=) "Claims demand evidence; extraordinary claims demand extraordinary evidence." -- Carl Sagan
    (")_(") "Starting the fire from within."

  14. #14

    Join Date
    01 Aug 2001
    Location
    England
    Posts
    122
    Thanks
    0
    Thanked 0 Times in 0 Posts
    Local Date
    December 6, 2016
    Local Time
    19:49
    Would you say it's better to download the patch manually and apply it again, or just leave it alone?

    I won't reinstall as I have an aversion to uninstalling or reinstalling software!

  15. #15
    Urban Ranger's Avatar
    Join Date
    24 May 1999
    Location
    The City State of Noosphere, CPA special envoy
    Posts
    14,618
    Thanks
    0
    Thanked 3 Times in 2 Posts
    Local Date
    December 7, 2016
    Local Time
    03:49
    Depends on whether you need (or want) to have patch 1.52 applied.

    If you already have applied the patch, see if you can still play the game normally.
    (\__/) 07/07/1937 - Never forget
    (='.'=) "Claims demand evidence; extraordinary claims demand extraordinary evidence." -- Carl Sagan
    (")_(") "Starting the fire from within."

  16. #16

    Join Date
    01 Aug 2001
    Location
    England
    Posts
    122
    Thanks
    0
    Thanked 0 Times in 0 Posts
    Local Date
    December 6, 2016
    Local Time
    19:49
    Yes I do want it applied. I have run the game and it appears ok, but everyone I have read about who had the same error so far has had frequent crashes along with it.

    I suppose I can re-apply the patch if I get these problems.

  17. #17
    Ouro_827's Avatar
    Join Date
    11 Feb 2004
    Location
    Fairbanks, Alaska
    Posts
    968
    Thanks
    0
    Thanked 0 Times in 0 Posts
    Local Date
    December 6, 2016
    Local Time
    10:49
    I have been dealing with this error for some times, and after multiple reinstalls and various methods of patching, I still can't get the error to go away. The graphics are often skewed, and neither the leaderheads, nor any of the short animations -- wonders, religion, etc. -- are showing up. Anyone have any success fixing this? Yes, the error didn't happen until the patch pretty much finished, but I'm tempted to just lose my savegames and go back to v. 1.00

    EDIT: So, against my better judgement, I tried playing some more. Now, along with blank diplomacy screens and the screen going crazy, it will randomly drop letters or words. City names will occasionally disappear, as will units. When I go to the main menu, about every other letter is missing -- so the first line read 's ng e a er'.
    Last edited by Ouro_827; March 21, 2006 at 21:09.

  18. #18
    Urban Ranger's Avatar
    Join Date
    24 May 1999
    Location
    The City State of Noosphere, CPA special envoy
    Posts
    14,618
    Thanks
    0
    Thanked 3 Times in 2 Posts
    Local Date
    December 7, 2016
    Local Time
    03:49
    It appears that this problem has something to do with a bad entry in the registry. Petek has posted a fix somewhere here, but I am too lazy to go look it up.

    Originally posted by Ouro_827
    EDIT: So, against my better judgement, I tried playing some more. Now, along with blank diplomacy screens and the screen going crazy, it will randomly drop letters or words. City names will occasionally disappear, as will units. When I go to the main menu, about every other letter is missing -- so the first line read 's ng e a er'.
    That appear to be a totally unrelated problem.
    (\__/) 07/07/1937 - Never forget
    (='.'=) "Claims demand evidence; extraordinary claims demand extraordinary evidence." -- Carl Sagan
    (")_(") "Starting the fire from within."

  19. #19
    Ouro_827's Avatar
    Join Date
    11 Feb 2004
    Location
    Fairbanks, Alaska
    Posts
    968
    Thanks
    0
    Thanked 0 Times in 0 Posts
    Local Date
    December 6, 2016
    Local Time
    10:49
    Thank you *Chuckles* Actually, you already posted it. The thing is, I don't need the fix. The problem there, as I understood it, was with patch 1.09, someone didn't have the right registry key. My registry already had the key, the difference being my version number wasn't 1.00 anymore. And I guess all my errors could be from something else.... just I didn't encounter them until I patched. I'm running SP1 on a Radeon 9700. Right now, I'm taking a look at the renderer fix though, since my problems have been graphically related. And I'm not touching SP2 *Shudders* Horrible, ugly thing.

    EDIT: Surprise! It seems unpacking the assets file fixed my problems. Leaderheads work, text is no longer disappearing.. my savegames look like they're shot -- stuff is still messed up with them, but all new games work fine. Thanks all!
    Last edited by Ouro_827; March 23, 2006 at 17:25.

Similar Threads

  1. Apolyton Pack v2.0 error - Slic Debug error
    By goatfather in forum Call to Power 2
    Replies: 0
    Last Post: February 7, 2009, 13:52
  2. Error 1706 problem when patching 1.74
    By mypulitzer in forum Civilization IV General
    Replies: 2
    Last Post: December 19, 2007, 21:35
  3. Replies: 1
    Last Post: December 17, 2007, 14:14
  4. Patch 213 Error: Init Error Error loading shader libraries
    By Deity Dude in forum Civilization IV General
    Replies: 17
    Last Post: August 7, 2007, 00:41
  5. Error Reading File??? INI Error
    By Regicide in forum Civilization III
    Replies: 7
    Last Post: December 24, 2002, 02:01

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  

Log in

Log in